

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/super.c         |    2 --
 25-akpm/include/linux/fs.h |    9 +++++----
 2 files changed, 5 insertions(+), 6 deletions(-)

diff -puN fs/super.c~reiser4-kobject-umount-race-cleanup fs/super.c
--- 25/fs/super.c~reiser4-kobject-umount-race-cleanup	2004-08-20 00:02:18.598728408 -0700
+++ 25-akpm/fs/super.c	2004-08-20 00:02:18.603727648 -0700
@@ -436,7 +436,6 @@ void generic_shutdown_super(struct super
 	spin_unlock(&sb_lock);
 	up_write(&sb->s_umount);
 }
-
 EXPORT_SYMBOL(generic_shutdown_super);
 
 /**
@@ -618,7 +617,6 @@ rescan:
 	spin_unlock(&sb_lock);
 	return NULL;
 }
-
 EXPORT_SYMBOL(get_super);
 
 struct super_block * user_get_super(dev_t dev)
diff -puN include/linux/fs.h~reiser4-kobject-umount-race-cleanup include/linux/fs.h
--- 25/include/linux/fs.h~reiser4-kobject-umount-race-cleanup	2004-08-20 00:02:18.599728256 -0700
+++ 25-akpm/include/linux/fs.h	2004-08-20 00:02:18.605727344 -0700
@@ -836,10 +836,11 @@ struct fs_kobject {
  */
 struct fs_kattr {
 	struct attribute kattr;
-	ssize_t (*show) (struct super_block *,
-			 struct fs_kobject *, struct fs_kattr *, char *);
-	ssize_t (*store) (struct super_block *, struct fs_kobject *,
-			  struct fs_kattr *, const char *, size_t);
+	ssize_t (*show)(struct super_block *sb, struct fs_kobject *fs_kobj,
+			struct fs_kattr *fs_kattr, char *buf);
+	ssize_t (*store)(struct super_block *sb, struct fs_kobject *fs_kobj,
+			struct fs_kattr *fs_kattr, const char *buf,
+			size_t size);
 };
 
 /* in fs/super.c */
_
